Package com.google.cloud.spanner.jdbc

# Interface TransactionRetryListener

@InternalApi @Deprecated public interface TransactionRetryListener
Deprecated.
Use `TransactionRetryListener`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`TransactionRetryListener.RetryResult`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`retryFinished(com.google.cloud.Timestamp transactionStarted, long transactionId, int retryAttempt, TransactionRetryListener.RetryResult result)`
Deprecated.
This method is called when a retry has finished.
`void`
`retryStarting(com.google.cloud.Timestamp transactionStarted, long transactionId, int retryAttempt)`
Deprecated.
This method is called when a retry is about to start.

## Method Details

### retryStarting

void retryStarting(com.google.cloud.Timestamp transactionStarted, long transactionId, int retryAttempt)
Deprecated.
This method is called when a retry is about to start.

Parameters:
  `transactionStarted` - The start date/time of the transaction that is retrying.
  `transactionId` - An internally assigned ID of the transaction (unique during the lifetime of the JVM) that can be used to identify the transaction for logging purposes.
  `retryAttempt` - The number of retry attempts the current transaction has executed, including the current retry attempt.

### retryFinished

void retryFinished(com.google.cloud.Timestamp transactionStarted, long transactionId, int retryAttempt, TransactionRetryListener.RetryResult result)
Deprecated.
This method is called when a retry has finished.

Parameters:
  `transactionStarted` - The start date/time of the transaction that is retrying.
  `transactionId` - An internally assigned ID of the transaction (unique during the lifetime of the JVM) that can be used to identify the transaction for logging purposes.
  `retryAttempt` - The number of retry attempts the current transaction has executed, including the current retry attempt.
  `result` - The result of the retry indicating whether the retry was successful or not.